apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2022-01-25T21:38:25Z'
  finalizers:
    - openshift-oauth-user.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
  generation: 22
  name: codeready-workspaces
  namespace: openshift-workspaces
  resourceVersion: '125201440'
  uid: f0526695-e7b5-4def-a553-064e969f861b
spec:
  auth:
    identityProviderURL: 'https://keycloak-openshift-workspaces.apps.c02x.paas.sif.jndata.net/auth'
    identityProviderRealm: codeready
    updateAdminPassword: false
    identityProviderIngress: {}
    oAuthSecret: Q2zMoWzvXv41
    oAuthClientName: codeready-workspaces-openshift-identity-provider-5oqp1a
    initialOpenShiftOAuthUser: true
    identityProviderContainerResources:
      limits: {}
      request: {}
    identityProviderClientId: codeready-public
    identityProviderPostgresSecret: che-identity-postgres-secret
    identityProviderRoute: {}
    externalIdentityProvider: false
    identityProviderSecret: che-identity-secret
    openShiftoAuth: true
  database:
    chePostgresContainerResources:
      limits: {}
      request: {}
    chePostgresDb: dbche
    chePostgresHostName: postgres
    chePostgresPort: '5432'
    chePostgresSecret: che-postgres-secret
    externalDb: false
    postgresVersion: '13.3'
  devWorkspace:
    enable: false
  imagePuller:
    enable: false
    spec: {}
  k8s: {}
  metrics:
    enable: true
  server:
    cheLogLevel: DEBUG
    dashboardIngress: {}
    customCheProperties:
      HTTP2_DISABLE: 'true'
    externalDevfileRegistry: false
    pluginRegistryIngress: {}
    cheServerRoute: {}
    devfileRegistryIngress: {}
    cheHost: codeready-openshift-workspaces.apps.c02x.paas.sif.jndata.net
    selfSignedCert: false
    cheServerIngress: {}
    cheDebug: 'true'
    tlsSupport: true
    dashboardRoute: {}
    allowUserDefinedWorkspaceNamespaces: false
    serverTrustStoreConfigMapName: ca-certs
    pluginRegistryRoute: {}
    devfileRegistryRoute: {}
    externalPluginRegistry: false
    workspaceNamespaceDefault: <username>-codeready
    serverExposureStrategy: multi-host
    gitSelfSignedCert: false
    useInternalClusterSVCNames: false
    cheFlavor: codeready
  storage:
    postgresPVCStorageClassName: nfs-v4-snap-no-backup-no
    preCreateSubPaths: true
    pvcClaimSize: 10Gi
    pvcStrategy: per-workspace
    workspacePVCStorageClassName: nfs-v4-snap-no-backup-no
status:
  gitHubOAuthProvisioned: false
  devfileRegistryURL: 'https://devfile-registry-openshift-workspaces.apps.c02x.paas.sif.jndata.net'
  openShiftOAuthUserCredentialsSecret: openshift-oauth-user-credentials
  keycloakProvisioned: true
  cheClusterRunning: Available
  cheURL: 'https://codeready-openshift-workspaces.apps.c02x.paas.sif.jndata.net'
  devworkspaceStatus:
    message: DevWorkspace CRDs are not installed
    phase: Inactive
  openShiftoAuthProvisioned: true
  dbProvisioned: true
  cheVersion: 2.15.2
  keycloakURL: 'https://keycloak-openshift-workspaces.apps.c02x.paas.sif.jndata.net/auth'
  pluginRegistryURL: >-
    https://plugin-registry-openshift-workspaces.apps.c02x.paas.sif.jndata.net/v3
